#include "xbasic_types.h"
#include "xstatus.h"
#include "xio.h"


#define WARPLAB_SISO_OFFSET (0x00000000)
//Gateways In

#define warplab_siso_CaptOffset_OFFSET (WARPLAB_SISO_OFFSET+0x0)
//tag name: in_0
//arith_type = Unsigned
//num_bits = 14
//bin_pt = 0
#define warplab_siso_DoneReading_OFFSET (WARPLAB_SISO_OFFSET+0x4)
//tag name: in_1
//arith_type = Unsigned
//num_bits = 1
//bin_pt = 0
#define warplab_siso_StartCapture_OFFSET (WARPLAB_SISO_OFFSET+0x8)
//tag name: in_2
//arith_type = Unsigned
//num_bits = 1
//bin_pt = 0
#define warplab_siso_StartTx_OFFSET (WARPLAB_SISO_OFFSET+0xC)
//tag name: in_3
//arith_type = Unsigned
//num_bits = 1
//bin_pt = 0
#define warplab_siso_TxLength_OFFSET (WARPLAB_SISO_OFFSET+0x10)
//tag name: in_4
//arith_type = Unsigned
//num_bits = 14
//bin_pt = 0

//Gateways Out

#define warplab_siso_CaptureDone_OFFSET (WARPLAB_SISO_OFFSET+0x14)
//tag name: out_5

//Shared Memory Address

#define warplab_siso_SMRO_RSSIBuff_Radio2_OFFSET (WARPLAB_SISO_OFFSET+0x10000)
#define warplab_siso_SMRO_RxBuff_Radio2_OFFSET (WARPLAB_SISO_OFFSET+0x20000)
#define warplab_siso_SMWO_TxBuff_Radio2_OFFSET (WARPLAB_SISO_OFFSET+0x30000)


#define warplab_siso_WriteReg(BaseAddress, RegOffset, Data) \
	XIo_Out32((BaseAddress) + (RegOffset), (Xuint32)(Data))

#define warplab_siso_ReadReg(BaseAddress, RegOffset) \
	XIo_In32((BaseAddress) + (RegOffset))

//Write Reg Macro

#define warplab_siso_WriteReg_CaptOffset(BaseAddress, Value) \
	XIo_Out32((BaseAddress) + (warplab_siso_CaptOffset_OFFSET), (Xuint32)(Value))
#define warplab_siso_WriteReg_DoneReading(BaseAddress, Value) \
	XIo_Out32((BaseAddress) + (warplab_siso_DoneReading_OFFSET), (Xuint32)(Value))
#define warplab_siso_WriteReg_StartCapture(BaseAddress, Value) \
	XIo_Out32((BaseAddress) + (warplab_siso_StartCapture_OFFSET), (Xuint32)(Value))
#define warplab_siso_WriteReg_StartTx(BaseAddress, Value) \
	XIo_Out32((BaseAddress) + (warplab_siso_StartTx_OFFSET), (Xuint32)(Value))
#define warplab_siso_WriteReg_TxLength(BaseAddress, Value) \
	XIo_Out32((BaseAddress) + (warplab_siso_TxLength_OFFSET), (Xuint32)(Value))
#define warplab_siso_WriteReg_CaptureDone(BaseAddress, Value) \
	XIo_Out32((BaseAddress) + (warplab_siso_CaptureDone_OFFSET), (Xuint32)(Value))
#define warplab_siso_WriteReg_SMRO_RSSIBuff_Radio2(BaseAddress, Value) \
	XIo_Out32((BaseAddress) + (warplab_siso_SMRO_RSSIBuff_Radio2_OFFSET), (Xuint32)(Value))
#define warplab_siso_WriteReg_SMRO_RxBuff_Radio2(BaseAddress, Value) \
	XIo_Out32((BaseAddress) + (warplab_siso_SMRO_RxBuff_Radio2_OFFSET), (Xuint32)(Value))
#define warplab_siso_WriteReg_SMWO_TxBuff_Radio2(BaseAddress, Value) \
	XIo_Out32((BaseAddress) + (warplab_siso_SMWO_TxBuff_Radio2_OFFSET), (Xuint32)(Value))


//Read Reg Macro

#define warplab_siso_ReadReg_CaptOffset(BaseAddress) \
	XIo_In32((BaseAddress) + (warplab_siso_CaptOffset_OFFSET))
#define warplab_siso_ReadReg_DoneReading(BaseAddress) \
	XIo_In32((BaseAddress) + (warplab_siso_DoneReading_OFFSET))
#define warplab_siso_ReadReg_StartCapture(BaseAddress) \
	XIo_In32((BaseAddress) + (warplab_siso_StartCapture_OFFSET))
#define warplab_siso_ReadReg_StartTx(BaseAddress) \
	XIo_In32((BaseAddress) + (warplab_siso_StartTx_OFFSET))
#define warplab_siso_ReadReg_TxLength(BaseAddress) \
	XIo_In32((BaseAddress) + (warplab_siso_TxLength_OFFSET))
#define warplab_siso_ReadReg_CaptureDone(BaseAddress) \
	XIo_In32((BaseAddress) + (warplab_siso_CaptureDone_OFFSET))
#define warplab_siso_ReadReg_SMRO_RSSIBuff_Radio2(BaseAddress) \
	XIo_In32((BaseAddress) + (warplab_siso_SMRO_RSSIBuff_Radio2_OFFSET))
#define warplab_siso_ReadReg_SMRO_RxBuff_Radio2(BaseAddress) \
	XIo_In32((BaseAddress) + (warplab_siso_SMRO_RxBuff_Radio2_OFFSET))
#define warplab_siso_ReadReg_SMWO_TxBuff_Radio2(BaseAddress) \
	XIo_In32((BaseAddress) + (warplab_siso_SMWO_TxBuff_Radio2_OFFSET))
