//-----------------------------------------------------------------------------
// analog_bridge_slot_4_wrapper.v
//-----------------------------------------------------------------------------

module analog_bridge_slot_4_wrapper
  (
    user_DAC1_A,
    user_DAC1_B,
    user_DAC2_A,
    user_DAC2_B,
    user_DAC1_sleep,
    user_DAC2_sleep,
    user_ADC_A,
    user_ADC_B,
    user_ADC_DFS,
    user_ADC_DCS,
    user_ADC_pdwnA,
    user_ADC_pdwnB,
    user_ADC_otrA,
    user_ADC_otrB,
    user_LED,
    clock_in,
    clock_out,
    analog_DAC1_A,
    analog_DAC1_B,
    analog_DAC2_A,
    analog_DAC2_B,
    analog_DAC1_sleep,
    analog_DAC2_sleep,
    analog_ADC_A,
    analog_ADC_B,
    analog_ADC_DFS,
    analog_ADC_DCS,
    analog_ADC_pdwnA,
    analog_ADC_pdwnB,
    analog_ADC_otrA,
    analog_ADC_otrB,
    analog_LED
  );
  input [0:13] user_DAC1_A;
  input [0:13] user_DAC1_B;
  input [0:13] user_DAC2_A;
  input [0:13] user_DAC2_B;
  input user_DAC1_sleep;
  input user_DAC2_sleep;
  output [0:13] user_ADC_A;
  output [0:13] user_ADC_B;
  input user_ADC_DFS;
  input user_ADC_DCS;
  input user_ADC_pdwnA;
  input user_ADC_pdwnB;
  output user_ADC_otrA;
  output user_ADC_otrB;
  input [0:2] user_LED;
  input clock_in;
  output clock_out;
  output [13:0] analog_DAC1_A;
  output [13:0] analog_DAC1_B;
  output [13:0] analog_DAC2_A;
  output [13:0] analog_DAC2_B;
  output analog_DAC1_sleep;
  output analog_DAC2_sleep;
  input [13:0] analog_ADC_A;
  input [13:0] analog_ADC_B;
  output analog_ADC_DFS;
  output analog_ADC_DCS;
  output analog_ADC_pdwnA;
  output analog_ADC_pdwnB;
  input analog_ADC_otrA;
  input analog_ADC_otrB;
  output [0:2] analog_LED;

  analog_bridge
    analog_bridge_slot_4 (
      .user_DAC1_A ( user_DAC1_A ),
      .user_DAC1_B ( user_DAC1_B ),
      .user_DAC2_A ( user_DAC2_A ),
      .user_DAC2_B ( user_DAC2_B ),
      .user_DAC1_sleep ( user_DAC1_sleep ),
      .user_DAC2_sleep ( user_DAC2_sleep ),
      .user_ADC_A ( user_ADC_A ),
      .user_ADC_B ( user_ADC_B ),
      .user_ADC_DFS ( user_ADC_DFS ),
      .user_ADC_DCS ( user_ADC_DCS ),
      .user_ADC_pdwnA ( user_ADC_pdwnA ),
      .user_ADC_pdwnB ( user_ADC_pdwnB ),
      .user_ADC_otrA ( user_ADC_otrA ),
      .user_ADC_otrB ( user_ADC_otrB ),
      .user_LED ( user_LED ),
      .clock_in ( clock_in ),
      .clock_out ( clock_out ),
      .analog_DAC1_A ( analog_DAC1_A ),
      .analog_DAC1_B ( analog_DAC1_B ),
      .analog_DAC2_A ( analog_DAC2_A ),
      .analog_DAC2_B ( analog_DAC2_B ),
      .analog_DAC1_sleep ( analog_DAC1_sleep ),
      .analog_DAC2_sleep ( analog_DAC2_sleep ),
      .analog_ADC_A ( analog_ADC_A ),
      .analog_ADC_B ( analog_ADC_B ),
      .analog_ADC_DFS ( analog_ADC_DFS ),
      .analog_ADC_DCS ( analog_ADC_DCS ),
      .analog_ADC_pdwnA ( analog_ADC_pdwnA ),
      .analog_ADC_pdwnB ( analog_ADC_pdwnB ),
      .analog_ADC_otrA ( analog_ADC_otrA ),
      .analog_ADC_otrB ( analog_ADC_otrB ),
      .analog_LED ( analog_LED )
    );

endmodule

// synthesis attribute x_core_info of analog_bridge is analog_bridge_v1_00_a;

