-------------------------------------------------------------------------------
-- warplab_siso_opbw_0_wrapper.vhd
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

library UNISIM;
use UNISIM.VCOMPONENTS.ALL;

library warplab_siso_opbw;
use warplab_siso_opbw.All;

entity warplab_siso_opbw_0_wrapper is
  port (
    ce : in std_logic;
    opb_abus : in std_logic_vector(0 to 31);
    opb_be : in std_logic_vector(0 to 3);
    opb_clk : in std_logic;
    opb_dbus : in std_logic_vector(0 to 31);
    opb_rnw : in std_logic;
    opb_rst : in std_logic;
    opb_select : in std_logic;
    opb_seqaddr : in std_logic;
    radio2_adc_i : in std_logic_vector(0 to 13);
    radio2_adc_i_otr : in std_logic;
    radio2_adc_q : in std_logic_vector(0 to 13);
    radio2_adc_q_otr : in std_logic;
    radio2_rssi : in std_logic_vector(0 to 9);
    startcapture : in std_logic;
    debug_capturing : out std_logic;
    debug_transmitting : out std_logic;
    radio2_dac_i : out std_logic_vector(0 to 15);
    radio2_dac_q : out std_logic_vector(0 to 15);
    rssi_adc_clk : out std_logic;
    sgp_dbus : out std_logic_vector(0 to 31);
    sgp_errack : out std_logic;
    sgp_retry : out std_logic;
    sgp_toutsup : out std_logic;
    sgp_xferack : out std_logic
  );
end warplab_siso_opbw_0_wrapper;

architecture STRUCTURE of warplab_siso_opbw_0_wrapper is

  component warplab_siso_opbw is
    generic (
      C_BASEADDR : std_logic_vector(0 to 31);
      C_HIGHADDR : std_logic_vector(0 to 31);
      C_OPB_AWIDTH : INTEGER;
      C_OPB_DWIDTH : INTEGER
    );
    port (
      ce : in std_logic;
      opb_abus : in std_logic_vector(0 to 31);
      opb_be : in std_logic_vector(0 to 3);
      opb_clk : in std_logic;
      opb_dbus : in std_logic_vector(0 to 31);
      opb_rnw : in std_logic;
      opb_rst : in std_logic;
      opb_select : in std_logic;
      opb_seqaddr : in std_logic;
      radio2_adc_i : in std_logic_vector(0 to 13);
      radio2_adc_i_otr : in std_logic;
      radio2_adc_q : in std_logic_vector(0 to 13);
      radio2_adc_q_otr : in std_logic;
      radio2_rssi : in std_logic_vector(0 to 9);
      startcapture : in std_logic;
      debug_capturing : out std_logic;
      debug_transmitting : out std_logic;
      radio2_dac_i : out std_logic_vector(0 to 15);
      radio2_dac_q : out std_logic_vector(0 to 15);
      rssi_adc_clk : out std_logic;
      sgp_dbus : out std_logic_vector(0 to 31);
      sgp_errack : out std_logic;
      sgp_retry : out std_logic;
      sgp_toutsup : out std_logic;
      sgp_xferack : out std_logic
    );
  end component;

  attribute x_core_info : STRING;
  attribute x_core_info of warplab_siso_opbw : component is "warplab_siso_opbw_v";

begin

  warplab_siso_opbw_0 : warplab_siso_opbw
    generic map (
      C_BASEADDR => X"7ec00000",
      C_HIGHADDR => X"7ecfffff",
      C_OPB_AWIDTH => 32,
      C_OPB_DWIDTH => 32
    )
    port map (
      ce => ce,
      opb_abus => opb_abus,
      opb_be => opb_be,
      opb_clk => opb_clk,
      opb_dbus => opb_dbus,
      opb_rnw => opb_rnw,
      opb_rst => opb_rst,
      opb_select => opb_select,
      opb_seqaddr => opb_seqaddr,
      radio2_adc_i => radio2_adc_i,
      radio2_adc_i_otr => radio2_adc_i_otr,
      radio2_adc_q => radio2_adc_q,
      radio2_adc_q_otr => radio2_adc_q_otr,
      radio2_rssi => radio2_rssi,
      startcapture => startcapture,
      debug_capturing => debug_capturing,
      debug_transmitting => debug_transmitting,
      radio2_dac_i => radio2_dac_i,
      radio2_dac_q => radio2_dac_q,
      rssi_adc_clk => rssi_adc_clk,
      sgp_dbus => sgp_dbus,
      sgp_errack => sgp_errack,
      sgp_retry => sgp_retry,
      sgp_toutsup => sgp_toutsup,
      sgp_xferack => sgp_xferack
    );

end architecture STRUCTURE;

